﻿<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >



<!-- Root match -->

<xsl:template match="/SessionSoundRecordingIndex">

  <HTML>
  <HEAD>
    <STYLE type="text/css">
        .ButtonSymbol{ font: 8pt Arial Black, sans-serif; text-align: center; color: "#800000" }
        .ButtonSymbolG{ font: 8pt Arial Black, sans-serif; text-align: center; color: "#800000" }

        .Header1{ font: bold 20pt Arial, sans-serif; text-align: center; color: "#FFFFFF" }
        .Header2l{ font: bold 11pt Arial, sans-serif; text-align: left; color: "#FFFFFF" }
        .Header2r{ font: bold 11pt Arial, sans-serif; text-align: right; color: "#FFFFFF" }
        .Header3l{ font: bold 8pt Arial, sans-serif; text-align: left; color: "#FFFFFF" }
        .Header3r{ font: bold 8pt Arial, sans-serif; text-align: right; color: "#FFFFFF" }

        .BodGrey{ font: bold 9pt Arial, sans-serif; text-align: center; color: "#777777" }
        .BodDarkGrey{ font: bold 9pt Arial, sans-serif; text-align: center; color: "#555555" }
        .Bod1{ font: bold 9pt Arial, sans-serif; text-align: center; color: "#800000" }
        .Bod2{ font: bold 9pt Arial, sans-serif; text-align: center; color: "#000000" }
        .Bod3{ font: 9pt Arial, sans-serif; text-align: center; color: "#800000" }

        .MenoDiskutujuceho{ font: bold 10pt Arial, sans-serif; text-align: left; color: "#000000" }


	.div_hidden{ visibility:hidden; }



		.licensee { font: italic bold 11pt  Arial, sans-serif;	text-align: left; }
		.title { font: 13pt Arial, sans-serif;	text-align: center; }
		.subtitle { font: 10pt Arial, sans-serif; text-align: center; }
		.label_l { font: bold 9pt Arial, sans-serif; vertical-align: bottom; text-align: left; }
		.label_r { font: bold 9pt Arial, sans-serif; vertical-align: bottom; text-align: right; }
		.value { font: 9pt  Arial, sans-serif; text-align: left; line-height: 9pt; }
		.totals { font: 10pt  Arial, sans-serif; text-align: right; line-height: 14pt; }
		.footer { font: bold 7pt  Arial, sans-serif; vertical-align: super; text-align: left; }
		.hvalue_l { font: bold 9pt Arial, sans-serif; text-align: left; }
		.hvalue_r { font: bold 9pt Arial, sans-serif; text-align: right; }
    </STYLE>

<SCRIPT type="text/javascript">

  var savedDetails ;
  var savedDetailsIndex ;
  var savedDetailsQ ;

  //
  // Na zaciatku ulozime tabulky prispevkov aby sme ich mohli vkladat na prislusne miesto
  //
  function onMtLoad()
  {
	var mt = document.getElementById("MainTable") ;

	savedDetailsQ = mt.rows.length ;
	savedDetails = new Array( savedDetailsQ ) ;
        savedDetailsIndex = new Array( savedDetailsQ ) ;


	for( i=1; i &lt; savedDetailsQ; i+=2 ) {

		savedDetails[i] = mt.rows[i].firstChild.firstChild.innerHTML ;
		savedDetailsIndex[i] = mt.rows[i].firstChild.firstChild.id ;

		mt.rows[i].firstChild.firstChild.innerHTML = "" ;
	}
  }


  function showDetails( id )
  {
	var key = "DR" + id ;
	for( i=1; i &lt; savedDetailsQ; i+=2 ) {
		if( savedDetailsIndex[i] == key ) {
			// Vyhladame objekt tlacitka a zmenime jeho text
			var bc = document.getElementById("BTN"+id).firstChild ;
			if( bc.innerHTML == "+" ) {
				// Rozvinieme 
				bc.innerHTML = "-" ;
				document.getElementById(key).innerHTML = savedDetails[i] ;
			} else {
				// Zvinieme 
				bc.innerHTML = "+" ;
				document.getElementById(key).innerHTML = "" ;
			}
			return ;
		}
	}
  }

</SCRIPT>


    </HEAD>

    <BODY BGCOLOR="#4169E1"  onload="onMtLoad()" >

    <!-- hLAVIčKA -->
    <table width="100%" border="0" cellspacing="0" cellpadding="0" hala="#0066cc" BGCOLOR="#4169E1">

      <tr height = "19pt">
        <td width="50%">
         <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
        </td>
        <td width="50%">
         <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
        </td>
      </tr>

      <tr>
        <td class="Header1" colspan="2">
	<xsl:value-of select="/SessionSoundRecordingIndex/Session"/>
        </td>
      </tr>

      <tr height = "24pt">
        <td colspan="2">
         <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
        </td>
      </tr>

      <tr>
        <td class="Header2l">
	  dátum konania: <xsl:value-of select="substring( /SessionSoundRecordingIndex/Session/@start_time,9 ,2 )"/>.<xsl:value-of select="substring( /SessionSoundRecordingIndex/Session/@start_time,6 ,2 )"/>.<xsl:value-of select="substring( /SessionSoundRecordingIndex/Session/@start_time,1 ,4 )"/>
        </td>

        <td class="Header2r">
	  predsedajúci: <xsl:value-of select="/SessionSoundRecordingIndex/Session/@chairman"/>
        </td>
      </tr>


    </table>


    <!-- samotna nahravka -->

    <table border="1" cellspacing="0" cellpadding="2" width="100%" id="MainTable" >
      <xsl:for-each select="Topic">
        <tr>

          <!-- tlačítko pre rozvinutie -->
          <td BGCOLOR="#ECECFF" >
            <xsl:text disable-output-escaping="yes">&lt;</xsl:text>BUTTON 
              id="BTN<xsl:value-of select="./@rec_possition"/>" 
              onClick="showDetails( <xsl:value-of select="./@rec_possition"/> )"
            <xsl:text disable-output-escaping="yes">&gt;</xsl:text>
              <SPAN class="ButtonSymbol">+</SPAN>
            <xsl:text disable-output-escaping="yes">&lt;/BUTTON&gt;</xsl:text>
          </td>


          <!-- tlačítko pre prehrávanie -->
          <td BGCOLOR="#ECECFF" >
            <xsl:text disable-output-escaping="yes">
              &lt;BUTTON onClick="parent.ControlFrame.doStart(
            </xsl:text>
            <xsl:value-of select="./@rec_possition"/>
            <xsl:text disable-output-escaping="yes">
              );"&gt;
            </xsl:text>
              <FONT class="ButtonSymbolG">I&gt;</FONT>

            <xsl:text disable-output-escaping="yes">
              &lt;/BUTTON&gt;
            </xsl:text>
          </td>


          <!-- hodina -->
<!-- TD  kvoli onClick -->
          <xsl:text disable-output-escaping="yes">
            &lt;TD class="BodGrey" BGCOLOR="#ececff" onClick="parent.ControlFrame.doStart(
          </xsl:text>
            <xsl:value-of select="./@rec_possition"/>
          <xsl:text disable-output-escaping="yes">
            );"&gt;
          </xsl:text>
              <xsl:value-of select="substring(./@start_time,12,5)"/>

<!-- /TD  kvoli onClick -->
          <xsl:text disable-output-escaping="yes">
            &lt;/TD&gt;
          </xsl:text>


<!--
          <td class="BodGrey" BGCOLOR="#ececff" >
              <xsl:value-of select="substring(./@start_time,12,5)"/>
          </td>
-->


          <!-- text popisujuci bod jednania -->

<!-- TD  kvoli onClick -->
          <xsl:text disable-output-escaping="yes">
            &lt;TD BGCOLOR="#ececff" onClick="parent.ControlFrame.doStart(
          </xsl:text>
            <xsl:value-of select="./@rec_possition"/>
          <xsl:text disable-output-escaping="yes">
            );"&gt;
          </xsl:text>
<!--
          <td BGCOLOR="#ECECFF" >
-->
            <FONT class="BodGrey">
             BOD:
            </FONT>
            <FONT class="Bod1">
              <xsl:value-of select="./@number"/>
              -
            </FONT>
<!-- TODO: Doplniť číslo materialu -->
            <FONT class="Bod3">
              <xsl:value-of select="."/>
            </FONT>
<!-- /TD  kvoli onClick -->
          <xsl:text disable-output-escaping="yes">
            &lt;/TD&gt;
          </xsl:text>
<!--
          <td>
            <FONT FACE="Arial, sans-serif" SIZE="4" STYLE="font-size: 9pt" COLOR="#800000" >BOD: </FONT>
            <xsl:value-of select="./@number"/>
          </td>
          <td>
            <xsl:value-of select="./@file"/>
          </td>
          <td>
            <xsl:value-of select="."/>
          </td>
-->
        </tr>

        <!-- Riadok tabuľky bude mať samostatné id vytvorené z casu -->
	<tr>

          <td colspan="4">

            <xsl:text disable-output-escaping="yes">&lt;SPAN </xsl:text>
            		BGCOLOR="#6666CC" ID="DR<xsl:value-of select="./@rec_possition"/>"
            <xsl:text disable-output-escaping="yes">&gt;</xsl:text>


<!-- Tabuľka s jednotlivými príspevkami -->
            <table align="right" border="1" cellspacing="0" cellpadding="2" width="96%" BGCOLOR="#5F9EA0" a="#87CEEB" >
           <xsl:for-each select="Speech">

<!-- TR  kvoli onClick -->
              <xsl:text disable-output-escaping="yes">
                &lt;TR onClick="parent.ControlFrame.doStart(
              </xsl:text>
              <xsl:value-of select="./@rec_possition"/>
              <xsl:text disable-output-escaping="yes">
                );"&gt;
              </xsl:text>


                <!-- tlačítko pre prehrávanie -->
                <td>
                  <xsl:text disable-output-escaping="yes">
                    &lt;BUTTON onClick="parent.ControlFrame.doStart(
                  </xsl:text>
                  <xsl:value-of select="./@rec_possition"/>
                  <xsl:text disable-output-escaping="yes">
                    );"&gt;
                  </xsl:text>
                    <FONT class="ButtonSymbolG">I&gt;</FONT>

                  <xsl:text disable-output-escaping="yes">
                    &lt;/BUTTON&gt;
                  </xsl:text>
                </td>

                <!-- hodina -->
                <td class="BodDarkGrey">
                  <xsl:value-of select="substring(./@start_time,12,5)"/>
                </td>


                <!-- Diskutujúci -->
                <td class="MenoDiskutujuceho">
                  <xsl:value-of select="./@name"/>
                </td>

                <!-- Číslo príspevku -->
                <td class="BodDarkGrey">
                  <xsl:value-of select="./@speech_seq_number"/>
                </td>


                <!-- Druh príspevku -->
                <td class="BodDarkGrey">
                  <xsl:if test="./@phase[.='proposal']">Predklad</xsl:if>
                  <xsl:if test="./@phase[.='discussion']">Diskusia</xsl:if>
                  <xsl:if test="./@phase[.='act_formulation']">Uznesenie</xsl:if>
                </td>

<!-- /TR  kvoli onClick -->
              <xsl:text disable-output-escaping="yes">
                &lt;/TR&gt;
              </xsl:text>

            </xsl:for-each>

            </table>
            <xsl:text disable-output-escaping="yes">&lt;/SPAN&gt;</xsl:text>
          </td>

	</tr>

      </xsl:for-each>

    </table>

    <table width="100%" border="0" cellspacing="0" cellpadding="0" BGCOLOR="#0066cc" >
      <tr>
        <td width="50%" class="Header3l">
          <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
        </td>
        <td width="50%" class="Header3r">
          H.E.R. Systém © A.S.Partner, s.r.o., Košice
        </td>
      </tr>
    </table>


</BODY></HTML>
    </xsl:template>
</xsl:stylesheet>
